/*
 * Copyright (C) 2005, Wei Yuan.
 * All rights reserved.
 * 
 * Author: Wei Yuan
 * Created on: August 18, 2005
 * 
 */

using System;
using System.Runtime.Serialization;

namespace Cavingdeep.DbTestSample {
   /// <summary>
   /// Thrown when database connection cannot be opened.
   /// </summary>
   [Serializable]
   public class NoConnectionException : ApplicationException {
      /// <summary>
      /// Creates a new instance.
      /// </summary>
      public NoConnectionException() {}

      /// <summary>
      /// Creates a new instance.
      /// </summary>
      /// <param name="message">A message that describes the exception. </param>
      public NoConnectionException(string message) : base(message) {}

      /// <summary>
      /// Creates a new instance.
      /// </summary>
      /// <param name="message">A message that describes the exception. </param>
      /// <param name="innerException">
      /// The exception that is the cause of the current exception. If the innerException
      /// parameter is not a null reference, the current exception is raised in a catch
      /// block that handles the inner exception.</param>
      public NoConnectionException(string message, Exception innerException) : base(message, innerException) {}

      /// <summary>
      /// Creates a new instance with serialized data.
      /// </summary>
      /// <param name="info">The object that holds the serialized object data.</param>
      /// <param name="context">The contextual information about the source or destination.</param>
      protected NoConnectionException(SerializationInfo info, StreamingContext context) : base(info, context) {}
   }
}
